import unittest
from Statistics import *

class StatisticsTests(unittest.TestCase):

    def setUp(self):
        c1 = CircleT(1,0,2)
        c2 = CircleT(-3,-5,5.25)
        c3 = CircleT(-2,5,10)
        c4 = CircleT(1e-10,1e-10,1e-10)
        c5 = CircleT(1e10,1e10,1e10)

        self.circles = [c1,c2,c3,c4,c5]

    def tearDown(self):
        self.circles = None

    def testAverageOfCircles(self):
        self.assertAlmostEqual(average(self.circles), 2000000003.45,  None, None, 0.1)

    def test_rank(self):
        self.assertTrue(rank(self.circles) == [4,3,2,5,1])

    def test_stdDev(self):
        self.assertAlmostEqual(stdDev(self.circles), 3999999998.275, None, None, 0.1)

if __name__ == '__main__':
    unittest.main()
