/**
 * Author: S. Smith
 * Revised: March 2, 2009
 * 
 * Description: Point ADT class
 */

import static java.lang.Math.*;

public class PointT 
{

   public static final double TOLERANCE = 1e-4;

   protected double xc;

   protected double yc;

   public PointT(double x, double y)
   {
     xc = x;
     yc = y;
   }

   public double xcoord()
   {
     return xc;
   }

   public double ycoord()
   {
     return yc;
   }

   public double dist(PointT p)
   {
     double dx;
     double dy;

     dx = this.xc - p.xc;
     dy = this.yc - p.yc;

     return sqrt(pow(dx,2.0) + pow(dy,2.0));
   }

   public boolean equal(PointT p)
   {
     return (this.dist(p) <= TOLERANCE);
   }

}
